Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class Operator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.Operator

Deprecated

    @Deprecated
    public class Operator

extends Object

Field Summary
`static String` | `cName` Deprecated
`static Operator` | `EQ` Deprecated
`static Operator` | `GE` Deprecated
`static Operator` | `GT` Deprecated
`static int` | `I_EQ` Deprecated
`static int` | `I_GE` Deprecated
`static int` | `I_GT` Deprecated
`static int` | `I_LE` Deprecated
`static int` | `I_LT` Deprecated
`static Operator` | `LE` Deprecated
`static Operator` | `LT` Deprecated
`static String` | `S_EQ` Deprecated
`static String` | `S_GE` Deprecated
`static String` | `S_GT` Deprecated
`static String` | `S_LE` Deprecated
`static String` | `S_LT` Deprecated

Method Summary
`boolean` | `equals(Object object)` Deprecated
`int` | `getInt()` Deprecated
`static Operator` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated
`int` | `hashCode()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

### I_EQ

    public static final int I_EQ

  Deprecated
  See Also
    Constants Summary

### I_GT

    public static final int I_GT

  Deprecated
  See Also
    Constants Summary

### I_GE

    public static final int I_GE

  Deprecated
  See Also
    Constants Summary

### I_LT

    public static final int I_LT

  Deprecated
  See Also
    Constants Summary

### I_LE

    public static final int I_LE

  Deprecated
  See Also
    Constants Summary

### EQ

    public static final Operator EQ

  Deprecated

### GT

    public static final Operator GT

  Deprecated

### GE

    public static final Operator GE

  Deprecated

### LT

    public static final Operator LT

  Deprecated

### LE

    public static final Operator LE

  Deprecated

### S_EQ

    public static final String S_EQ

  Deprecated
  See Also
    Constants Summary

### S_GT

    public static final String S_GT

  Deprecated
  See Also
    Constants Summary

### S_GE

    public static final String S_GE

  Deprecated
  See Also
    Constants Summary

### S_LT

    public static final String S_LT

  Deprecated
  See Also
    Constants Summary

### S_LE

    public static final String S_LE

  Deprecated
  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated

### getInt

    public int getInt()

  Deprecated

### getObject

    public static Operator getObject(String token)

  Deprecated

### equals

    public boolean equals(Object object)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.